Subject: bug#25782: guile: one test fails on Debian/HURD

From: zimoun <[email-masked]>
Date: Wed, 28 Oct 2020 18:16:16 +0100

Hi,

On Sat, 18 Feb 2017 at 07:24, Jan Nieuwenhuizen <[email-masked]> wrote:
> Running
>
>     ./pre-inst-env guix package -i hello
>
> on Debian/HURD one test fails when building Guile
>
>     Running 00-repl-server.test
>     FAIL: 00-repl-server.test: repl-server: simple expression - arguments:
> (expected-value "scheme@(repl-server)> $1 = 42\n" actual-value
> "scheme@(repl-server)> While reading expression:\nERROR: In procedure
> fport_fill_input: Resource temporarily unavailable\nscheme@(repl-server)>
> While reading expression:\nERROR: In procedure fport_fill_input: Resource
> temporarily unavailable\nscheme@(repl-server)> While reading
> expression:\nERROR: In procedure fport_fill_input: Resource temporarily
> unavailable\nscheme@(repl-server)> While reading expression:\nERROR: In
> procedure fport_fill_input: Resource temporarily
> unavailable\nscheme@(repl-server)> While reading expression:\nERROR: In
> procedure fport_fill_input: Resource temporarily unavailable\n$1 = 42\n")

What is the status of this bug [1]?  It is done now, right?

Cheers,
simon

1: <http://issues.guix.gnu.org/issue/25782>